/*
 * AllocationException
 * 分配に失敗した場合の結果を保持する
 */
package org.logical_paradox.rss.router.algorithm;

public class AllocationException extends Exception {
	private final String _nodeId;

	public AllocationException() {
		super();
		_nodeId = null;
	}
	public AllocationException( String msg ) {
		super( msg );
		_nodeId = null;
	}
	public AllocationException( String msg, String nodeId ) {
		_nodeId = nodeId;
	}
	public String getNodeId() {
		return _nodeId;
	}
}

// end of AllocationException.java
